[kde] manual partitioning in installer crashes when handling many partitions

Bug #1038522 reported by RobbHammack on 2012-08-18
130
This bug affects 26 people
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Quantal
High
Unassigned
Trusty
High
Unassigned

Bug Description

when choosing manual partitioning, installer crashes when setting mount points. after many attempts where the installer just disapeared, I got:
Exception in KDE frontend (invoking crash handler):
Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/kde_components/PartitionModel.py", line 105, in parent
    return self.createIndex(parentItem.row(), 0, parentItem)
AttributeError: Partition instance has no attribute 'row'

Exception in KDE frontend (invoking crash handler):
Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/kde_components/PartitionModel.py", line 100, in parent
    parentItem = childItem.parent()
AttributeError: 'LineWrapMode' object has no attribute 'parent'

Exception in KDE frontend (invoking crash handler):
Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/kde_components/PartitionModel.py", line 100, in parent
    parentItem = childItem.parent()
AttributeError: 'LineWrapMode' object has no attribute 'parent'

rather frustrating - I can set up 2 or 3 partitions before it crashes. I have 2 disks, sda and sdb and it doesn't reliably crash on any particular partition or disk. My Machine is currently a dual-boot Kubuntu 10.04 / Win 7 Ultimate. I wanted a complete fresh start for 12.04 so I was going to format the linux partitions

sda1 bootable, NTFS
sda2 Extended
sda5 ext4 /home
sda6 ext4 /var

sdb1 NTFS
sdb2 bootable ext4 /boot
sdb3 Extended
sdb5 ext4 /

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: ubiquity 2.10.16
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic-pae 3.2.14
Uname: Linux 3.2.0-23-generic-pae i686
ApportVersion: 2.0.1-0ubuntu5
Architecture: i386
CasperVersion: 1.315
Date: Sat Aug 18 21:28:52 2012
InstallCmdLine: file=/cdrom/preseed/kubuntu.seed FRONTEND_BACKGROUND=original boot=casper maybe-ubiquity initrd=/casper/initrd.lz quiet splash --
LiveMediaBuild: Kubuntu 12.04 LTS "Precise Pangolin" - Release i386 (20120423)
ProcEnviron:
 LANGUAGE=
 TERM=xterm
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: ubiquity
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

RobbHammack (robbhammack) wrote :
Andrew Heil (heilandrew) wrote :

Although I haven't looked at any debugging/traceback information, I can confirm that this behavior occurs, across multiple Kubuntu-based distros. For example, not only does it happen with Kubuntu 12.04, it also happens with Mint 13 "KDE" and Netrunner 4 "Dryland" 2nd Ed, which are also based on Kubuntu 12.04.

I have over 10 existing partitions on my hard drive. When I run the Kubuntu installer, I'm lucky if I can tell the installer which partitions to mount for root, swap, and maybe one to three others before the installer just quits. I usually end up having to add the other partitions to /etc/fstab manually post-installation.

Curiously, this has never happened while installing an Ubuntu-based, as opposed to Kubuntu-based, distro (i.e. using ubiquity with the GTK UI).

Changed in ubiquity (Ubuntu):
status: New → Confirmed
importance: Undecided → High
assignee: nobody → Kubuntu Developers (kubuntu-dev)
Ghoulish Teknology (ghoultek) wrote :
Download full text (3.8 KiB)

At the request of Andrew Thomas, senior member of linuxquestions.org, I'm adding the information that I gathered when I encountered with KDE installer bug. I've posted information in two other forums while looking for help to get a workaround or fix to the problem. The following are links to the forum threads at linuxmint (Aug-26-2012) and linuxquestions (Sep-2-2012):

- http://www.linuxquestions.org/questions/linux-mint-84/mint-13-kde-64-bit-installer-crashes-4175425285/
- http://forums.linuxmint.com/viewtopic.php?f=46&t=111087

I'm attempting to install Mint 13 KDE 64 bit into a 30GB partition (/dev/sda7).
sda1 = Mint 13 Cinnamon 64bit
sda5 = Mint 13 Mate 64bit
sda6 = Mint 13 XFCE 64bit
sda7 = **was for KDE**
sda8 = /home for all linux installs
sda9 = swap

sda1 is the only primary partition
sda5-9 are logical drives
All partitions are 30GB with the exception of the swap being 8GB (rarely used since I have 8GB of RAM).

Only the KDE install fails (from USB keys and DVDs). Prior Linx Mint, Ubuntu, and Arch Linux versions installed without a problem.

Distro: Linux Mint 13 KDE 64 bit
Issue/Bug: The KDE Installer aborts/crashes to the live DVD desktop if the user performs manual partition setup/selection. The bug is not limited to the above distro and may affect 32-bit distro editions as well.

Trace Info:
Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/kde_components/PartitionModel.py", line 100, in parent
    parentItem = childItem.parent()
AttributeError: 'list' object has no attribute 'parent'

---------------------------
I poked around /var/log/installer and found a file named "debug" with the following:
    Ubiquity 2.10.16-1linuxmint4
    Error opening file for reading: Permission denied
    QImage::scaled: Image is a null image
    QImage::scaled: Image is a null image
    debconf: DbDriver "passwords" warning: could not open /var/cache/debconf/passwords.dat: Permission denied
    Ubiquity 2.10.16-1linuxmint4
    Error opening file for reading: Permission denied
    QImage::scaled: Image is a null image
    QImage::scaled: Image is a null image
    QSocketNotifier: Invalid socket 16 and type 'Read', disabling...
    QSocketNotifier: Invalid socket 16 and type 'Exception', disabling...
    QSocketNotifier: Invalid socket 16 and type 'Write', disabling...
    QSocketNotifier: Invalid socket 17 and type 'Read', disabling...
    QSocketNotifier: Invalid socket 17 and type 'Exception', disabling...
    QSocketNotifier: Invalid socket 17 and type 'Write', disabling...
    QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed: No such file or directory
    QFileSystemWatcher: failed to add paths: /home/mint/.config/ibus/bus
    Exception in KDE frontend (invoking crash handler):
    Traceback (most recent call last):
      File "/usr/lib/ubiquity/ubiquity/frontend/kde_components/PartitionModel.py", line 100, in parent
        parentItem = childItem.parent()
      File "/usr/lib/ubiquity/ubiquity/frontend/kde_components/PartitionModel.py", line 166, in parent
        return self.parentItem
    AttributeError: TreeItem instance has no attribute 'parentItem'

    Exception in KDE frontend (invoki...

Read more...

Ghoulish Teknology (ghoultek) wrote :

I forgot to add that the problem seemed to be with the "PartitionModel.py" script of the KDE installer. The bug is affecting far more than the 2 people who posted in this bug thread. A google search for "PartitionModel.py crash" or "PartitionModel.py fails" will lead to a large number of search results showing others are encountering issues with the KDE installer component.

Rick Graves (gravesricharde) wrote :

I found the crash could be avoided if I reboot between creating the partitions (using sudo fdisk) and using the installer. That is, first boot off the CD and create the partitions (including write, of course), then reboot (boot again off the CD) and use the installer. Voila! No crash.

Dimitri John Ledkov (xnox) wrote :

Thank you for work around.

Other workarounds are:
* Use Kubuntu Alternative CD
* Use Ubuntu server, mini.iso or pxeboot & install kubuntu desktop task
* Install ubuntu -> then install kubuntu-desktop & purge gnome stuff

Jonathan Riddell (jr) on 2012-09-04
tags: added: kubuntu
Colin Watson (cjwatson) on 2012-09-04
Changed in ubiquity (Ubuntu Precise):
importance: Undecided → High
status: New → Triaged
milestone: none → ubuntu-12.04.2
Changed in ubiquity (Ubuntu Quantal):
status: Confirmed → Triaged
Colin Watson (cjwatson) on 2012-09-04
summary: - manual partitioning in installer crashes
+ [kde] manual partitioning in installer crashes
Changed in ubiquity (Ubuntu Quantal):
assignee: Kubuntu Developers (kubuntu-dev) → nobody

I can't recreate this in today's image in quantal no matter how much I play around with partitions, starting for a dual boot system and using multiple drives. Which probably explains why it managed to get into the precise release. Anyone able to give instructions for recreating would be much appreciated.

Ghoulish Teknology (ghoultek) wrote :

@Rick Graves:

Thanks for your suggested work around, but it doesn't work with LinuxMint 13 KDE 64bit. I haven't tried installing Kubuntu 12.04.

During the Mint 13 KDE 64bit Install I do *not* create partitions as all partitions were already created from within Mint 13 Cinnamon 64bit. Grub was already installed during the Cinnamon 64 bit install. So, during the KDE install I pick the manual partition option to select the partitions for /root, /home, and swap. During the first install attempt I did not have the KDE installer reformat the sda7 partition as it was formatted from within the Cinnamon 64 bit install. During another install attempt I let the KDE installer reformat the sda7 partition. The KDE installer crashed during both attempts, and went on to crash in all remaining attempts. So after the first two failed install attempts I tried the following:
- reboot, run the install, let the install crash, and then just re-run the install again without rebooting
The install continues to crash.

All of the other Mint 13 disto installs completed without any problems. Prior to the Mint 13 installs several other Linux distro versions were installed without a problem. During the Mint 13 Cinnamon 64bit install I removed all of the prior partitions and recreated the partition setup listed in my first post.

Ghoulish Teknology (ghoultek) wrote :

Ok this is quite frustrating but I figured out how to get around the installer bug, which will seem quite stupid.

When I attempted to do the installs I would pick the manual partition option, and only select the partitions for root, /home, and swap. The fix is:
1 - Use a partitioning program (the one in the KDE 64bit installer or another like gParted) to create the desired partitions and format them.
2 - Reboot the PC and boot from the install CD, DVD, or USB key.
3 - Select the manual option.
4 - Select the previously created partition for root, /home, and the others except DO NOT CLICK ON THE SWAP PARTITION AND THEN CLICK THE CHANGE BUTTON.
5 - Select the desired location for the Grub boot loader.
6 - Click the Install or Continue button on the bottom right for the installation to proceed.

On the hard drive that I use for my Linux installs, there is only one partition marked as swap (the others are marked ext4) so the installer will figured it out. For some odd reason it chokes it you attempt to actually specify the swap partition during the manual partition setup/selection process.

FYI,
I was able to install Kubuntu 12.04 64bit from USB key using the same fix as above.

Dimitri John Ledkov (xnox) wrote :

Does anyone have reliable steps to reproduce this on:
* Quantal beta1 or later images
* Precise 12.04.1 or later images
?

Changed in ubiquity (Ubuntu Quantal):
status: Triaged → Incomplete
Steve Langasek (vorlon) on 2012-09-14
tags: added: rls-q-notfixing
Ghoulish Teknology (ghoultek) wrote :

@Dmitrijs:
Kubuntu 12.04 has the installer bug. Mint 13 is based off of *buntu 12.04 if I remember correctly as it has the long term support. I haven't tried Quantal yet.

Dimitri John Ledkov (xnox) wrote :

@Ghoulish:
The developers did not manage to reproduce this bug on neither Ubuntu 12.10 nor Ubuntu 12.04.
We believe the bug is not present in Ubuntu 12.10 as there are currently no reports that this bug is present in 12.10 -> hence I mark quantal task incomplete.
Precise task is still open and confirmed on the grounds of multiple reports of affected users.
But again, there are no reliable minimal steps to reproduce this bug, therefore developers cannot start fixing it.
If you can create a list of steps (preferably in a VM) that need to be done to trigger this bug with _official images_, it will be amazing.

Please note, just because something is based on *buntu 12.04 it does not make it long term support. Kubuntu & Ubuntu 12.04 official repository and official images are supported. See release manifest and support designation statuses over here: https://wiki.ubuntu.com/PrecisePangolin/ReleaseManifest

Andrew Heil (heilandrew) wrote :

To be more specific about my situation: I have a 1.5 TB hard drive with 16 partitions (one of which is an extended partition containing other partitions). The partitions are a mix of formats: ntfs, fat32, ext3, and ext4. (I like to play with different distros. Most people are obviously not going to have this scenario. Kubuntu is installed on sda1, and its GRUB is "in control", if you will.)

As I mentioned earlier, this crash has never occurred while installing Ubuntu; it's just occurred while using the KDE/QT flavor of the installer.

I downloaded Kubuntu 12.04.1 and tried the installer (Ubiquity v2.10.20) yesterday. I chose manual partitioning, and started adding partitions at random (using one as / and mounting the others in /mnt). This time, the installer didn't crash until I added the 9th partition, so it was more robust than before.

The last lines of /var/log/installer/debug were:
QSocketNotifier: Invalid socket 17 and type 'Read', disabling...
QSocketNotifier: Invalid socket 17 and type 'Exception', disabling...
QSocketNotifier: Invalid socket 17 and type 'Write', disabling...
KCrash: Application '' crashing...
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit

I tried to duplicate this in a virtual machine a couple of times, finally creating a fixed size 25GB hard disk in VirtualBox 2.0 and creating 7 partitions (one of them swap, one of them extended) with gparted before running Ubiquity. It crashed some times and not others. In other words, it didn't consistently occur.

Ghoulish Teknology (ghoultek) wrote :

@Dmitrijs:

I did not encounter the problem in VirtualBox because I used the basic partition strategy where it uses the entire virtual hard disk (VHD). To attempt to reproduce the problem in a VM, one would have to do the following:
- create a new VM with a large virtual hard disk (140 GB is big enough)
- give the VM 2GB or 4GB RAM
- Use Ubuntu 12.04 64bit as your first install.
- During the Ubuntu 12.04 64bit install, partition the VHD to match my partition scheme
 <quote>
sda1 = Mint 13 Cinnamon 64bit <-------- INSTALL UBUNTU 12.04 64BIT HERE
sda5 = Mint 13 Mate 64bit
sda6 = Mint 13 XFCE 64bit
sda7 = <---------------- INSTALL K-UBUNTU 12.04 64BIT HERE
sda8 = /home for all linux installs
sda9 = swap
</quote>

- The listed partitions above should be 25GB, with the exception of sda9 (swap). SDA9 should be 8GB. What you won't see listed in my quote above is the large extended partition (might be sda2). The large exentded partition should be 108GB. SDA partitions 5 to 9 must be logical drives within the large extended partition. There will be left over unpartitioned space. This is exactly the non-standard partition setup you want to test against.

- Do the installs in order by the partition, but keep in mind that you need to create a unique user ID for each OS install since the user folders will reside on the same user home partition. For example, I used the following user ID naming scheme:
gh-ubuntu120464 (ubuntu 12.04 64bit)
gh-lm1364cinnamon (mint 13 cinnamon 64bit)
gh-lm1364mate (mint 13 mate 64bit)
gh-lm1364xfce (mint 13 xfce 64bit)
gh-kubuntu120464 (k-ubuntu 12.04 64bit)

You will have to choose the manual partition option for each install. During the K-ubuntu 12.04 64bit install, pick the manual partition option, and be sure to select the swap partition and mark it as swap (it will already be a swap partition, but do it anyway). Somewhere during the manual partition selection process you should encounter the installer failure with or without error messages. If there are no error messages after a failure look in " /var/log/installer" for a file named "debug". Use the links in my posts toward to the top if you need error message info to compare against.

germulvey (gpmulvey-iol) wrote :

also affects 12.04.1 - back to windows again

Jonathan Riddell (jr) on 2012-09-27
summary: - [kde] manual partitioning in installer crashes
+ [kde] manual partitioning in installer crashes when handling many
+ partitions
Changed in ubiquity (Ubuntu Quantal):
status: Incomplete → Won't Fix
J. Alves (alvesjmp) wrote :

This is happening to my clean install (well, my try) of Ubuntu 12.10, 64-bit on a machine that already has 12.04. I want to overwrite the root partition, keeping the /home as is.

It happened when I installed 12.04 too, but I somehow managed to make it install -- can't remember, but I thing a few reboots and the partitions finally showed up. Not happening now.

The install steps:

- start computer with USB key on, boots fine into Ubuntu (I tried both the "Try" and "Install" options);
- if I choose to install, it first goes to the language selection (English)
- then to "preparing to install Ubuntu", where it approves both my free space and Internet connectivity;
- next, come the surprise: instead of going to a screen where I can choose whether I want to wipe the disk, install along other OS, or do manual... I go straight into the manual install screen;
- and there, as other people reported, there is nothing on the top area where partitions should be.

The HD is seen, listed as /dev/sda. If I choose th "Try Ubuntu" option, I also see the partitions, can mount them and see their contents.

Yazer Eid (yeid) wrote :

I've had such crash before using Kubuntu 12.04 or 12.04.1 also Mint 13 KDE. My observation was that it happened only when I had more than one hard disks available the installer.

My workaround:

- Attach only the disk that you want to install Kubuntu on
- Install Kubuntu
- Attach the other harddisks

Colin Watson (cjwatson) on 2013-02-13
Changed in ubiquity (Ubuntu Precise):
milestone: ubuntu-12.04.2 → ubuntu-12.04.3
bmarsh (bmarsh-bmarsh) wrote :

I am having the installer crash on 13.04 beta 1 but I have had this problem for the past SIX versions of Kubuntu. That is, this has been a problem for a LONG time. I usually can get around it by minimizing the number of partitions I specify manually to /boot, /home, and root(/). But it usually takes about 6 tries before I can get it to work.

But in about TEN tries on Kubuntu 13.04 beta1, I can't get past the manual partition specification. I've tried both from the "install Kubuntu" initial screen, and from the "install kubuntu" icon after booting the live CD system. So I have to give up.

I always:

1) Do a total fresh install.
2) Manually create my own partitions using gparted

This was on a Toshiba laptop with only one disk drive.

bmarsh (bmarsh-bmarsh) wrote :

Thanks to Rick Graves for making me see the light!!! (slaps forehead in a "why didn't I think of that" gesture!!)

I've spent about 5 hours on this problem today, which is added to the 'at least' 5 hours I have probably spent on every release of the last SIX releases fighting this same *(&*^&% problem.

But by selecting just the '/' partition (already had a swap present and didn't even select it), I am now loading 13.04 beta 1.

Why in hades hasn't this problem been fixed about 5 releases ago????

And Graves solution is not something that someone relatively new to Kubuntu would want to do... so it kinda make linux look bad to newbies.....

mitko (dimitar-asenov) wrote :

I am also affected by this exact same bug. I'm trying to manually specify 5 mount points. The partitions are already there and I only want to format 2 of them. So far in Six tries the installer always crashes. Both from the installer icon or running the installer directly. Incredible how this bug is still around.

Serge Guibert (sergio-guibert) wrote :

I am affected by this bug with Kubuntu 13.04 64 bits installer.
After seting the 4th partition, the screen goes black.
It is a very annoying bug for newbies.
I can't believe this bug still exist.

dnel (dave.nelson) wrote :

I'm getting this bug with Kubuntu 13.04 32bit booted from a USB pen drive on a Samsung N110 netbook.

I am re-using pre-existing partitions, a small /boot partition and the rest uses LVM LV's. I am formatting the root and using /home as is with data in place.

On changing the 3rd partition the installer drops out with no errors being displayed on the GUI. The crash occurs whether or not the 3rd partition selected is swap space.

Someone on a forum suggested a tweak in PartitionModel.py.
Supposedly, it solves:
AttributeError: 'Partition' object has no attribute 'parent'

Original
--------------------------------------------------
parentItem = childItem.parent()
---------------------------------------------------

Tweak
---------------------------------------------------
try:
        parentItem = childItem.parent()
except AttributeError:
        parentItem = self.rootItem
--------------------------------------------------

Reference:
http://askubuntu.com/questions/287338/kubuntu-13-04-installer-crashes-on-manual-partition-setup

Maarten Bezemer (veger) wrote :

This bug is still present in the Kubuntu 13.10 installer
The patch/workaround provided in comment #23 helped me finish the installation.

I never had any problems while using multiple partitions during the installation. The thing that got changed is that I (partially) use my harddisks in a LVM setup. The LVM partitions are shown twice, where the child item is only usable (and shows the filesystem type). Is this the expected behavior? If not, could this be a problem?

Jonathan Riddell (jr) on 2013-11-21
Changed in ubiquity (Ubuntu Trusty):
milestone: none → ubuntu-14.04
Peter Antoniac (pan1nx) on 2014-04-02
Changed in ubiquity (Ubuntu Trusty):
status: Incomplete → Triaged
Phillip Susi (psusi) wrote :

There must be something specific about your disk configuration that causes this. Can you post the output of sudo parted -l? ( that is a lower case L ).

Download full text (3.5 KiB)

Phillip, I no longer have that particular setup, that was over a year ago
:) however, if you follow the trail, many other people have the same issue
on multiple releases of kubuntu with different hardware and disk setups.
one of the recent Me To! reports can probably give you specifics.

On Wed, Apr 2, 2014 at 10:15 AM, Phillip Susi <email address hidden> wrote:

> There must be something specific about your disk configuration that
> causes this. Can you post the output of sudo parted -l? ( that is a
> lower case L ).
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1038522
>
> Title:
> [kde] manual partitioning in installer crashes when handling many
> partitions
>
> Status in “ubiquity” package in Ubuntu:
> Triaged
> Status in “ubiquity” source package in Precise:
> Triaged
> Status in “ubiquity” source package in Quantal:
> Won't Fix
> Status in “ubiquity” source package in Trusty:
> Triaged
>
> Bug description:
> when choosing manual partitioning, installer crashes when setting mount
> points. after many attempts where the installer just disapeared, I got:
> Exception in KDE frontend (invoking crash handler):
> Traceback (most recent call last):
> File
> "/usr/lib/ubiquity/ubiquity/frontend/kde_components/PartitionModel.py",
> line 105, in parent
> return self.createIndex(parentItem.row(), 0, parentItem)
> AttributeError: Partition instance has no attribute 'row'
>
> Exception in KDE frontend (invoking crash handler):
> Traceback (most recent call last):
> File
> "/usr/lib/ubiquity/ubiquity/frontend/kde_components/PartitionModel.py",
> line 100, in parent
> parentItem = childItem.parent()
> AttributeError: 'LineWrapMode' object has no attribute 'parent'
>
> Exception in KDE frontend (invoking crash handler):
> Traceback (most recent call last):
> File
> "/usr/lib/ubiquity/ubiquity/frontend/kde_components/PartitionModel.py",
> line 100, in parent
> parentItem = childItem.parent()
> AttributeError: 'LineWrapMode' object has no attribute 'parent'
>
>
> rather frustrating - I can set up 2 or 3 partitions before it crashes. I
> have 2 disks, sda and sdb and it doesn't reliably crash on any particular
> partition or disk. My Machine is currently a dual-boot Kubuntu 10.04 / Win
> 7 Ultimate. I wanted a complete fresh start for 12.04 so I was going to
> format the linux partitions
>
> sda1 bootable, NTFS
> sda2 Extended
> sda5 ext4 /home
> sda6 ext4 /var
>
> sdb1 NTFS
> sdb2 bootable ext4 /boot
> sdb3 Extended
> sdb5 ext4 /
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: ubiquity 2.10.16
> ProcVersionSignature: Ubuntu 3.2.0-23.36-generic-pae 3.2.14
> Uname: Linux 3.2.0-23-generic-pae i686
> ApportVersion: 2.0.1-0ubuntu5
> Architecture: i386
> CasperVersion: 1.315
> Date: Sat Aug 18 21:28:52 2012
> InstallCmdLine: file=/cdrom/preseed/kubuntu.seed
> FRONTEND_BACKGROUND=original boot=casper maybe-ubiquity
> initrd=/casper/initrd.lz quiet splash --
> LiveMediaBuild: Kubuntu 12.04 LTS "Precise Pangolin" - Release i386
> (20120423)
> ProcEnviron:
> LANGU...

Read more...

George Dvorak (gldvorak-gmail) wrote :
Download full text (10.6 KiB)

Model: ATA ST1000DM003-1CH1 (scsi)
Disk /dev/sda: 1000GB
Sector size (logical/physical): 512B/4096B
Partition Table: gpt

Number Start End Size File system
Name Flags
 1 1049kB 1074MB 1073MB ntfs Basic data
partition hidden, diag
 2 1074MB 1451MB 377MB fat32 EFI system
partition boot
 3 1451MB 1585MB 134MB Microsoft reserved
partition msftres
 4 1585MB 186GB 184GB ntfs Basic data
partition msftdata
 5 186GB 186GB 367MB
ntfs hidden, diag
 6 186GB 255GB 68.2GB
ext4 msftdata
 7 255GB 323GB 68.2GB
ext4 msftdata /
 8 323GB 391GB 68.2GB
ext4 msftdata
 9 391GB 459GB 68.2GB
ext4 msftdata
10 459GB 527GB 68.2GB
ext4 msftdata
11 527GB 590GB 62.9GB
ext4 msftdata
12 590GB 653GB 62.9GB
ext4 msftdata /home
13 653GB 716GB 62.9GB
ext4 msftdata
14 716GB 779GB 62.9GB
ext4 msftdata
15 779GB 842GB 62.9GB
ext4 msftdata
16 842GB 936GB 94.4GB
ext4 msftdata
/home/gld/myFiles
19 936GB 947GB 10.5GB
ext4 boot
17 947GB 980GB 33.5GB linux-swap(v1)
18 980GB 1000GB 20.0GB ntfs Basic data
partition hidden, msftdata

Model: ATA Hitachi HDS72101 (scsi)
Disk /dev/sdb: 1000GB
Sector size (logical/physical): 512B/512B
Partition Table: msdos

Number Start End Size Type File system Flags
 1 32.3kB 1000GB 1000GB primary
ext4 /home/myBackup

Model: TOSHIBA External USB 3.0 (scsi)
Disk /dev/sdg: 1000GB
Sector size (logical/physical): 512B/512B
Partition Table: msdos

Number Start End Size Type File system Flags
 1 1049kB 734GB 734GB primary
ext4 /home/myToshiba
 2 734GB 1000GB 266GB primary
ntfs /home/myWindows

Here is my partition data. If I can setup / and /home then I go into
/etc/fstab and set up the rest. Only once in many attempts did I get the
option to file a bug report!

Partitions /home/gld/myFiles is for personal data that will not be touched
when installing a new operating system and can be accessed by multiple
Linux operating systems. /home/myBackup and /home/myToshiba is for backing
up./home/myWindows is for transfering files to Windows.

George Dvorak

On Wed, Apr 2, 2014 at 7:35 AM, RobbHammack <email address hidden> wrote:

> Phillip, I no longer have that particular setup, that was over a year ago
> :) however, if yo...

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.18.5

---------------
ubiquity (2.18.5) trusty; urgency=medium

  * KDE frontend fixes:
   - LP: #1038522 Fix manual partitioning in installer crashes when handling many
     partitions
   - LP: #1285705: read release notes not working
   - LP: #1038522: [kde] manual partitioning in installer crashes when
     handling many partitions
 -- Jonathan Riddell <email address hidden> Tue, 15 Apr 2014 13:22:24 +0100

Changed in ubiquity (Ubuntu Trusty):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers